package com.hotent.baseInfo.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 监审目录-成本调查表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-29
 */
@ApiModel(value="CostCatalogSurvey对象", description="监审目录-成本调查表")
public class CostCatalogSurvey extends BaseModel<CostCatalogSurvey> {

    private static final long serialVersionUID = 1L;
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @JsonProperty("id")
    private String id;
    
    @ApiModelProperty(value = "主键")
    @TableField("catalog_id")
    @JsonProperty("catalogId")
    private String catalogId;
    
    @ApiModelProperty(value = "调查表id")
    @TableField("survey_id")
    @JsonProperty("surveyId")
    private String surveyId;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JsonProperty("createTime")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "create_by", fill = FieldFill.INSERT)
    @JsonProperty("createBy")
    private String createBy;

    @ApiModelProperty(value = "年度")
    @TableField("year")
    @JsonProperty("year")
    private String year;
    

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getCatalogId() {
        return catalogId;
    }

    public void setCatalogId(String catalogId) {
        this.catalogId = catalogId;
    }
    public String getSurveyId() {
        return surveyId;
    }

    public void setSurveyId(String surveyId) {
        this.surveyId = surveyId;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CostCatalogSurvey{" +
            "id=" + id +
            ", catalogId=" + catalogId +
            ", surveyId=" + surveyId +
            ", createTime=" + createTime +
            ", createBy=" + createBy +
            ", year=" + year +
        "}";
    }
}
